Uploaded image for project: 'MongoDB ETL Tools'
  1. MongoDB ETL Tools
  2. TOOLS-1151

Build failure with go >=1.5

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor - P4
    • Resolution: Fixed
    • Affects Version/s: 3.2.5
    • Fix Version/s: 3.3.11
    • Component/s: All Tools
    • Labels:
      None
    • Documentation Changes:
      Not Needed
    • Sprint:
      Server Tools 14 (5/13/16)

      Description

      Hello, I'm the maintainer of mongo-tools in the MacPorts package management system. mongo-tools fails to build with go 1.5 or later.

      This was reported to MacPorts here:

      https://trac.macports.org/ticket/49147

      The current version of the patch that we are using to fix this with mongo-tools 3.2.5 is here:

      https://trac.macports.org/browser/trunk/dports/devel/mongo-tools/files/patch-build.sh.diff?rev=148181

        Attachments

          Activity

            People

            • Assignee:
              gabriel.russell Gabriel Russell
              Reporter:
              ryandesign Ryan Schmidt
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: